Closed Bug 519189 Opened 10 years ago Closed 9 years ago

mochitest-plain fails at test_bug426646.html in a way that looks random (History.go(-1) didn't work? - got , expected "about:blank")

Categories

(Core :: Document Navigation, defect)

defect
Not set

Tracking

()

RESOLVED WORKSFORME

People

(Reporter: hsivonen, Unassigned)

References

Details

(Keywords: intermittent-failure)

WINNT 5.2 mozilla-central test opt mochitests on 2009/09/28 03:34:28
12248 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_bug426646.html | History.go(-1) didn't work? - got , expected "about:blank"

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1254134068.1254136373.1243.gz#err0

This happened after I pushed a changeset that is, AFAICT, touching only unrelated code:
http://hg.mozilla.org/mozilla-central/rev/e915fafc9ba5
Linux mozilla-central test opt mochitests Started 09:51, finished 10:22
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1254415900.1254417692.793.gz&fulltext=1
So something has changed recently and that causes this problem?
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256490026.1256490404.22234.gz
WINNT 5.2 mozilla-central test opt mochitests-1/5 on 2009/10/25 10:00:26
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256649622.1256650296.31063.gz
WINNT 5.2 mozilla-central test opt mochitests-1/5 on 2009/10/27 06:20:22  

What changed recently was that we started running tests on optimized builds.
OS: Mac OS X → All
Hardware: x86 → All
Whiteboard: [orange]
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257327401.1257327857.15777.gz
WINNT 5.2 mozilla-central test opt mochitests-1/5 on 2009/11/04 01:36:41
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257365870.1257366491.14859.gz
WINNT 5.2 mozilla-central test opt mochitests-1/5 on 2009/11/04 12:17:50
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257360840.1257361407.20420.gz
WINNT 5.2 mozilla-central test opt mochitests-1/5 on 2009/11/04 10:54:00
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258549622.1258550251.27735.gz
WINNT 5.2 mozilla-central opt test mochitests-1/5 on 2009/11/18 05:07:02
moz2-win32-slave39
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1259909358.1259909753.12033.gz
WINNT 5.2 mozilla-central opt test mochitests-1/5 on 2009/12/03 22:49:18
s: moz2-win32-slave25
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260478823.1260479512.23489.gz
WINNT 5.2 mozilla-central opt test mochitests-1/5 on 2009/12/10 13:00:23
s: win32-slave43
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260662163.1260663420.21593.gz
WINNT 5.2 mozilla-central opt test mochitests-1/5 on 2009/12/12 15:56:03
s: win32-slave23
22861 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_bug426646.html | History.go(-1) didn't work? - got , expected "about:blank"
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260737444.1260738010.23534.gz
WINNT 5.2 mozilla-central opt test mochitests-1/5 on 2009/12/13 12:50:44
s: win32-slave29
22861 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_bug426646.html | History.go(-1) didn't work? - got , expected "about:blank"
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261828121.1261828917.5866.gz
WINNT 5.2 mozilla-central opt test mochitests-1/5 on 2009/12/26 03:48:41
s: win32-slave26
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263363927.1263364359.8513.gz
WINNT 5.2 mozilla-central opt test mochitests-1/5
s: win32-slave4022865 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_bug426646.html | History.go(-1) didn't work? - got , expected "about:blank"
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263771037.1263771745.18512.gz
WINNT 5.2 mozilla-central opt test mochitests-1/5 on 2010/01/17 15:30:37
s: win32-slave15
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263865998.1263866908.30614.gz
WINNT 5.2 mozilla-central opt test mochitests-1/5 on 2010/01/18 17:53:18
s: win32-slave27
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264127050.1264127564.11300.gz
WINNT 5.2 mozilla-central opt test mochitests-1/5 on 2010/01/21 18:24:10
s: win32-slave32
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264622828.1264623391.7218.gz
WINNT 5.2 mozilla-central opt test mochitests-1/5 on 2010/01/27 12:07:08
s: win32-slave38
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264645087.1264645817.10133.gz
WINNT 5.2 mozilla-central opt test mochitests-1/5 on 2010/01/27 18:18:07  
s: win32-slave42
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1264783016.1264784351.1490.gz
WINNT 5.2 mozilla-1.9.2 opt test mochitests on 2010/01/29 08:36:56
s: win32-slave30
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1265124204.1265125610.23003.gz
WINNT 5.2 mozilla-1.9.2 opt test mochitests on 2010/02/02 07:23:24
s: win32-slave19
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265494982.1265495566.14234.gz
WINNT 5.2 mozilla-central opt test mochitests-1/5 on 2010/02/06 14:23:02
s: win32-slave34
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265937018.1265937940.18671.gz
WINNT 5.2 mozilla-central opt test mochitests-1/5 on 2010/02/11 17:10:18
s: win32-slave32
WINNT 5.2 mozilla-central opt test mochitests-1/5 on 2010/02/17 16:31:27
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1266453087.1266453941.19139.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267292964.1267293813.25321.gz
WINNT 5.2 mozilla-central opt test mochitests-1/5 on 2010/02/27 09:49:24
s: win32-slave35
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267406658.1267407183.23687.gz
WINNT 5.2 mozilla-central opt test mochitests-1/5 on 2010/02/28 17:24:18
s: win32-slave31
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267410254.1267410820.2382.gz
WINNT 5.2 mozilla-central opt test mochitests-1/5 on 2010/02/28 18:24:14
s: win32-slave31
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267634958.1267635488.26053.gz
WINNT 5.2 mozilla-central opt test mochitests-1/5 on 2010/03/03 08:49:18
s: win32-slave27
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267656575.1267657858.7329.gz
WINNT 5.2 mozilla-central opt test mochitests-1/5 on 2010/03/03 14:49:35
s: win32-slave27
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267975052.1267975816.21608.gz
WINNT 5.2 mozilla-central opt test mochitests-1/5 on 2010/03/07 07:17:32
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268404848.1268406354.16092.gz
WINNT 5.2 mozilla-central opt test mochitests-1/5 on 2010/03/12 06:40:48
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268429448.1268430077.26551.gz
WINNT 5.2 mozilla-central opt test mochitests-1/5 on 2010/03/12 13:30:48
s: win32-slave31
Summary: mochitest-plain fails at test_bug426646.html in a way that looks random → mochitest-plain fails at test_bug426646.html in a way that looks random (History.go(-1) didn't work? - got , expected "about:blank")
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268492896.1268494364.8822.gz
WINNT 5.2 mozilla-central opt test mochitests-1/5 on 2010/03/13 07:08:16
s: win32-slave32
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268624189.1268624722.4954.gz
WINNT 5.2 mozilla-central opt test mochitests-1/5 on 2010/03/14 20:36:29
s: win32-slave32
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268933056.1268934480.18289.gz
WINNT 5.2 mozilla-central opt test mochitests-1/5 on 2010/03/18 10:24:16
s: win32-slave06
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269325025.1269325517.30468.gz
WINNT 5.2 mozilla-central opt test mochitests-1/5 on 2010/03/22 23:17:05
s: win32-slave15
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269355090.1269355613.31146.gz
WINNT 5.2 mozilla-central opt test mochitests-1/5 on 2010/03/23 07:38:10
s: win32-slave15
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269449798.1269451018.18917.gz
WINNT 5.2 mozilla-central opt test mochitests-1/5 on 2010/03/24 09:56:38
s: win32-slave27
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269459485.1269460687.16266.gz
WINNT 5.2 mozilla-central opt test mochitests-1/5 on 2010/03/24 12:38:05
s: win32-slave15
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269565631.1269566116.23376.gz
WINNT 5.2 mozilla-central opt test mochitests-1/5 on 2010/03/25 18:07:11
s: win32-slave27
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1270594425.1270595899.2756.gz
WINNT 5.2 mozilla-1.9.2 opt test mochitests on 2010/04/06 15:53:45
s: win32-slave35
Wonder what landed last May...
Status: NEW → RESOLVED
Closed: 9 years ago
Resolution: --- → WORKSFORME
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.